OpenSwingViewResolver

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.springframework.web.servlet.view
Class OpenSwingViewResolver

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.openswing.springframework.web.servlet.view.OpenSwingViewResolver

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.BeanNameAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.View

public class OpenSwingViewResolver
extends org.springframework.web.servlet.view.AbstractView

Title: OpenSwing Framework

Description: Class that does not render the model but only send to the OpenSwing client the model (that must be always a Response object).

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static java.lang.String` | `RESPONSE_PROPERTY_NAME`

Fields inherited from class org.springframework.web.servlet.view.AbstractView
`DEFAULT_CONTENT_TYPE`

Constructor Summary
`OpenSwingViewResolver()`

Method Summary
`void` | `setObjectReceiver(ObjectReceiver objectReceiver)` Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

Methods inherited from class org.springframework.web.servlet.view.AbstractView
`addStaticAttribute, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getStaticAttributes, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setRequestContextAttribute, toString`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, setApplicationContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESPONSE_PROPERTY_NAME

    public static final java.lang.String RESPONSE_PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### OpenSwingViewResolver

    public OpenSwingViewResolver()

Method Detail

### setObjectReceiver

    public final void setObjectReceiver(ObjectReceiver objectReceiver)

  Set the receiver class used in combination with "ClientUtils.getData" method to comunicate with a remote client via HTTP.

  Parameters:
    `objectReceiver` - receiver class to use

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD